commit:     be8839b801539a5a4818cb3ea0db1aab1853da10
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  2 11:05:23 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Sep  2 11:05:35 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be8839b8

dev-python/jsonschema: Version Bump

Package-Manager: portage-2.2.20.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/jsonschema/Manifest                |  1 +
 dev-python/jsonschema/jsonschema-2.5.1.ebuild | 32 +++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-python/jsonschema/Manifest b/dev-python/jsonschema/Manifest
index 91c16cd..a4c7cb6 100644
--- a/dev-python/jsonschema/Manifest
+++ b/dev-python/jsonschema/Manifest
@@ -1,2 +1,3 @@
 DIST jsonschema-2.3.0.tar.gz 43115 SHA256 
a79dcee3769d7cf749836da840966a83cd2e33e361264e77b74df9490ffe5c89 SHA512 
8c39c47c236904d3deb3893d43fd1a9332896e8a1883901ef6040607575250b0d661b010d94be6b0d52515b42e2c7924c93d352ca9b209cec54514e856d95c75
 WHIRLPOOL 
7f61838ac7173ac2d0dde16f83a864b8dcd82905d139c4de8d7b698ce022f1a63003ff45be53cf134a30747533cb034d2d5d944559a1b6990a37d8073b38d0ea
 DIST jsonschema-2.4.0.tar.gz 48293 SHA256 
1298a2f1b2f4c4a7b921cccd159e4e42f6d7b0fb75c86c0cdecfc71f061833fa SHA512 
111d60f6b490c016a69bed6b0b22cc6395c949d4510fdcb530757d6e61720cd2e1e3346293a5dd1b6501b262b36510ec08ab4ed76dc7484065e692e041232a93
 WHIRLPOOL 
1bcec6c3e09f72ad314db49e73d92f854e5f69c490e9ad46b4d0e31564392fb27bf387eec6d376237735396a7da989dcd601e33e2a43e35ed2559fc83b7ebf63
+DIST jsonschema-2.5.1.tar.gz 50855 SHA256 
36673ac378feed3daa5956276a829699056523d7961027911f064b52255ead41 SHA512 
9e8f6ce16504b7ae7ef1ceb44ecb07eab85923e40967bd8e502b9fa779e772b547db90f56ca951d06591b951e7240db1071e909ac75543d42f6f2495f6de3298
 WHIRLPOOL 
24da2ad53ecfe9b46d6b9f469719899ddfe54d425aa10e7e83d715e88ee09ba6e80501f1a33dec153af5436fc62abc29ac3ac8af3de6d748e1c007bb771ba642

diff --git a/dev-python/jsonschema/jsonschema-2.5.1.ebuild 
b/dev-python/jsonschema/jsonschema-2.5.1.ebuild
new file mode 100644
index 0000000..a5862d3
--- /dev/null
+++ b/dev-python/jsonschema/jsonschema-2.5.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=(python2_7 python3_{3,4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="An implementation of JSON-Schema validation for Python"
+HOMEPAGE="https://pypi.python.org/pypi/jsonschema 
http://github.com/Julian/jsonschema";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+       dev-python/rfc3986[${PYTHON_USEDEP}]
+       dev-python/strict-rfc3339[${PYTHON_USEDEP}]
+       dev-python/webcolors[${PYTHON_USEDEP}]
+       dev-python/functools32[$(python_gen_usedep 'python2*' pypy)]
+       "
+DEPEND="${RDEPEND}
+       dev-python/vcversioner[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+       "${PYTHON}" -m unittest discover || die "Testing failed with ${EPYTHON}"
+}

Reply via email to